import React from 'react';
import SwiperComponent from '../../components/CommonComponent/SwiperComponent/SwiperComponent'
import TroubleItem from '../../components/TroubleComponent/TroubleItemComponent/TroubleItemComponent'
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css')
export default class TroubleContainer extends   React.Component{
    constructor(props){
        super(props);
        this.state = {
            showTrouble : false
        }
    }

    dealTrouble(){
        this.setState({
            showTrouble : false
        })
    }

    haveNext(){
        console.log("有")
    }

    haveNoNext(){
        console.log("没有")
    }

    render(){
        let arr = [1,2,3,4];
        let dom = arr.map((i,k)=>{
            return <TroubleItem key={k}/>;
        });
        let swiperOptions = {

            width : 1396,
            spaceBetween: 30,
            freeMode:true,
            // slidesPerView: 2.6,
        };
        let swiperContainer = CONFIG.swiperContainers.troubleSwiperContainer;
        let swiperCount = arr.length;
        return (
            <div className={"toubleContainers"}>
                <div className={"troubleContainer " + ( this.state.showTrouble ? '' : 'hide')}>
                    <div className={"troubleText font32"}><span className={"colff7860"}>* </span>必填项</div>
                    <div className={"troubleBox"}>
                        <SwiperComponent
                            swiperContainer={swiperContainer} swiperOptions={swiperOptions} swiperCount={swiperCount}
                        >
                            {dom}
                        </SwiperComponent>
                    </div>
                    <div className={"troubleBtnBox"}>
                        <div className={"troubleBtn colfff font32"} onClick={()=>this.dealTrouble.bind(this)()}>
                            处理完毕
                        </div>
                    </div>

                </div>
                <div className={"selectContainer " + ( this.state.showTrouble ? 'hide' : '')}>
                    <div className={"selectText font40 col333"} style={{"marginTop":"230px"}}>出货板传送区、机械手平台、轨道是否有未出货遗留的货品</div>
                    <div className={"selectButtons"}>
                        <Button text={"有"} option={this.haveNext} style={{"marginTop":"128px"}}/>
                        <Button text={"没有"} option={this.haveNoNext} style={{"marginTop":"49px"}}/>
                    </div>
                </div>
            </div>
        )
    }
}